### Name: anova.cca
### Title: Permutation Test for Constrained Correspondence Analysis,
###   Redundancy Analysis and Constrained Analysis of Principal Coordinates
### Aliases: anova.cca anova.ccanull anova.ccabyaxis anova.ccabyterm
###   anova.ccabymargin permutest permutest.default permutest.cca
###   print.permutest.cca
### Keywords: multivariate htest

### ** Examples

data(varespec)
data(varechem)
vare.cca <- cca(varespec ~ Al + P + K, varechem)
## overall test
anova(vare.cca)
## Test for axes
anova(vare.cca, by="axis", perm.max=500)
## Sequential test for terms
anova(vare.cca, by="terms", permu=200)
## Marginal or Type III effects
anova(vare.cca, by="margin")
## Marginal test knows 'scope'
anova(vare.cca, by = "m", scope="P")



