### Encoding: UTF-8

### Name: deviance.cca
### Title: Statistics Resembling Deviance and AIC for Constrained
###   Ordination
### Aliases: deviance.cca deviance.rda deviance.capscale extractAIC.cca
### Keywords: multivariate models

### ** Examples

# The deviance of correspondence analysis equals Chi-square
data(dune)
data(dune.env)
chisq.test(dune)
deviance(cca(dune))
# Backward elimination from a complete model "dune ~ ."
ord <- cca(dune ~ ., dune.env)
ord
step(ord)
# Stepwise selection (forward from an empty model "dune ~ 1")
step(cca(dune ~ 1, dune.env), scope = formula(ord))
# ANOVA: added variable + the first left out
anova(cca(dune ~ Moisture + Management, dune.env), permut=200,
      by = "terms")



