###################################################
### chunk number 1: 
###################################################
par(mfrow=c(1,1))
par(mar=c(3,3,1,0)+.1)
options(width=72)


###################################################
### chunk number 2: 
###################################################
library(vegan)
data(BCI)


###################################################
### chunk number 3: 
###################################################
H <- diversity(BCI)


###################################################
### chunk number 4: 
###################################################
J <- H/log(specnumber(BCI))


###################################################
### chunk number 5: 
###################################################
k <- sample(nrow(BCI), 6)
R <- renyi(BCI[k,])


###################################################
### chunk number 6: 
###################################################
require(lattice, quietly=TRUE)


###################################################
### chunk number 7: 
###################################################
print(plot(R))


###################################################
### chunk number 8: 
###################################################
alpha <- fisher.alpha(BCI)


###################################################
### chunk number 9: 
###################################################
quantile(rowSums(BCI))


###################################################
### chunk number 10: 
###################################################
Srar <- rarefy(BCI, min(rowSums(BCI)))


###################################################
### chunk number 11: 
###################################################
S2 <- rarefy(BCI, 2)


###################################################
### chunk number 12: 
###################################################
all(rank(Srar) == rank(S2))


###################################################
### chunk number 13: 
###################################################
range(diversity(BCI, "simp") - (S2 -1))


###################################################
### chunk number 14: 
###################################################
data(dune)
data(dune.taxon)
taxdis <- taxa2dist(dune.taxon, varstep=TRUE)
mod <- taxondive(dune, taxdis)


###################################################
### chunk number 15: 
###################################################
plot(mod)


###################################################
### chunk number 16: 
###################################################
k <- sample(nrow(BCI), 1)
fish <- fisherfit(BCI[k,])
fish


###################################################
### chunk number 17: 
###################################################
plot(fish)


###################################################
### chunk number 18: 
###################################################
confint(fish)


###################################################
### chunk number 19: 
###################################################
prestondistr(BCI[k,])


###################################################
### chunk number 20: 
###################################################
rad <- radfit(BCI[k,])
rad


###################################################
### chunk number 21: 
###################################################
plot(rad)


###################################################
### chunk number 22: a
###################################################
sac <- specaccum(BCI)
plot(sac, ci.type="polygon", ci.col="yellow")


###################################################
### chunk number 23: 
###################################################
sac <- specaccum(BCI)
plot(sac, ci.type="polygon", ci.col="yellow")


###################################################
### chunk number 24: 
###################################################
ncol(BCI)/mean(specnumber(BCI)) - 1


###################################################
### chunk number 25: 
###################################################
beta <- vegdist(BCI, binary=TRUE)
mean(beta)


###################################################
### chunk number 26: 
###################################################
betadiver(help=TRUE)


###################################################
### chunk number 27: 
###################################################
z <- betadiver(BCI, "z")
quantile(z)


###################################################
### chunk number 28: 
###################################################
data(dune)
data(dune.env)
z <- betadiver(dune, "z")
mod <- with(dune.env, betadisper(z, Management))
mod


###################################################
### chunk number 29: 
###################################################
boxplot(mod)


###################################################
### chunk number 30: 
###################################################
specpool(BCI)


###################################################
### chunk number 31: 
###################################################
s <- sample(nrow(BCI), 25)
specpool(BCI[s,])


###################################################
### chunk number 32: 
###################################################
estimateR(BCI[k,])


###################################################
### chunk number 33: 
###################################################
veiledspec(prestondistr(BCI[k,]))
veiledspec(BCI[k,])


###################################################
### chunk number 34: 
###################################################
smo <- beals(BCI)


###################################################
### chunk number 35: a
###################################################
j <- which(colnames(BCI) == "Ceiba.pentandra")
plot(smo[,j], BCI[,j], main="Ceiba pentandra", xlab="Probability of occurrence",
ylab="Occurrence")


###################################################
### chunk number 36: 
###################################################
j <- which(colnames(BCI) == "Ceiba.pentandra")
plot(smo[,j], BCI[,j], main="Ceiba pentandra", xlab="Probability of occurrence",
ylab="Occurrence")


